Subject: Re: bug#77016: [PATCH] Use region as suggested URI in eww by default

From: Stefan Kangas <[email-masked]>
Date: Fri, 14 Mar 2025 12:04:42 -0700

Manuel Giraud <[email-masked]> writes:

> Here is a patch for eww.  It adds the current region on top of the
> suggested URI.  This way when reading a page in eww, one can select a
> region and hit "M-RET" to open a new window (or tab) with a web search
> for this selection.  WDYT?

This is a change in behavior, and I can see that it would be useful to
some users.  However, there are many reasons why one would _not_ want
this behavior by default, and it feels risky to have this level of DWIM
by default.

I think it should be optional and/or behind a prompt.

This should be documented in NEWS.